=== debian/changelog ===
cvs2svn (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 16 Feb 2005 11:35:44 +0100

cvs2svn (1.2.0-1) unstable; urgency=low

  * New upstream release, containing the patches for '--fs-type' option
    which was already in the 1.1.0-3 package, but this is now an official
    release (closes: #291409).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 26 Jan 2005 11:34:21 +0100

cvs2svn (1.1.0-3) unstable; urgency=low

  * Fix typo in package description (closes: #277209).
  * Get --fs-type switch addition from upstream SVN tree (closes: #277842).
  * Changed email address.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 22 Nov 2004 20:42:09 +0100

cvs2svn (1.1.0-2) unstable; urgency=medium

  * Fix issues that David Kimdon spotted:
    - update debian/copyright to include that source can be obtained as
      tar.gz as well, not just from a Subversion repository,
    - new package description, do not state that cvs2svn is not "1.0"
      quality, as it is.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sat, 18 Sep 2004 07:10:19 +0000

cvs2svn (1.1.0-1) unstable; urgency=medium

  * New upstream release with all the recent bug fixes.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Thu, 16 Sep 2004 05:32:58 +0000

cvs2svn (1.0.0-2) unstable; urgency=medium

  * Include r1369+r1370 which fixes a rather bad bug. It should hit Sarge,
    hence the urgency.
  * Include r1368 as well, which is a wording (ie no code) fix only.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Mon, 30 Aug 2004 19:41:45 +0000

cvs2svn (1.0.0-1) unstable; urgency=medium

  * New upstream release, cvs2svn goes gold!
  * Dropped cvs2svn.1 manpage, as merged upstream.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Wed, 25 Aug 2004 20:20:45 +0000

cvs2svn (0.1326-1) unstable; urgency=low

  * New upstream release with important bugfixes.
  * Rewrote cvs2svn manpage from scratch to be in Linux format.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Tue, 10 Aug 2004 20:10:57 +0000

cvs2svn (0.1278-1) unstable; urgency=low

  * New upstream release:
    - profile-cvs2svn integrated (--profile),
    - set line ending based on mime-type (--eol-from-mime-type), or
       do not do it regarding to CVS (--no-default-eol),
    - rename release candidate scripts to ones without .py ending,
    - usual bugfixes.
  * Manpage update according to upstream changes.
  * Stop shipping verify-cvs2svn by upstream request.
  * Loose the dependency on Python to be 2.1.0 or later.
  * Include HTML docs in the package.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Fri, 23 Jul 2004 20:28:34 +0000

cvs2svn (0.1263-1) unstable; urgency=low

  * New upstream release:
    - new versioning scheme,
    - more redesign and cleanup,
    - more speeding up,
    - new options for specifying a temporary directory, doing a dry-run
      only and exclude tags/branches (manpage updated accordingly).

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sun, 18 Jul 2004 19:45:42 +0000

cvs2svn (0.0.1173-1) unstable; urgency=low

  * Fix FTBFS because of run-tests.py specifies python directly
    (closes: #255828).
  * New upstream release, redesign of the internals; cvs2svn should be
    faster and more accurate.
  * Minor packaging cleanup.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sun, 27 Jun 2004 07:54:28 +0000

cvs2svn (0.0.1158-1) unstable; urgency=low

  * New upstream version, fixes minor bugs
  * Wrap package description at column 76 instead of 79

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Mon, 21 Jun 2004 16:54:08 +0000

cvs2svn (0.0.957-1) unstable; urgency=low

  * New upstream release.
  * Add rcs to Build-Depends, thanks to Daniel Schepler
    <schepler@math.berkeley.edu> again (closes: #248215).
  * Small packaging cleanup, use Build-Depends-Indep instead of Build-Depends
    and others.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Mon, 10 May 2004 17:07:51 +0000

cvs2svn (0.0.934-1) unstable; urgency=low

  * New upstream release.
  * Change the locale setup for package building time self-test. Reported
    and solution provided by Daniel Schepler <schepler@math.berkeley.edu>,
    thanks! Closes: #246490.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Tue, 27 Apr 2004 19:46:23 +0000

cvs2svn (0.0.923-1) unstable; urgency=low

  * New upstream release
  * Update manpage to reflect new upstream possibilities with --force-branch
    and --force-tag switches; also fix some oddities
  * Recommend mime-support as cvs2svn can make use of it

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sat, 17 Apr 2004 18:21:50 +0000

cvs2svn (0.0.911-1) unstable; urgency=low

  * New upstream release
  * Big update of manpages (by me, closes: #232933, #232322)
  * Install upstream README, and minor packaging changes

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sat,  3 Apr 2004 15:05:22 +0000

cvs2svn (0.0.838-1) unstable; urgency=low

  * Initial release (closes: #237934)
  * Wrote man page for verify-cvs2svn

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sun,  7 Mar 2004 16:58:17 +0000
