=== debian/control ===
Source: cvs2svn
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends-Indep: debhelper (>> 4.0.0), python (>= 2.1.0), rcs, cvs, subversion, locales
Standards-Version: 3.6.1

Package: cvs2svn
Architecture: all
Depends: subversion (>= 1.0.1), rcs, python (>= 2.1.0)
Suggests: cvs
Recommends: mime-support
Description: Convert a cvs repository to a subversion repository
 Converts a CVS repository (including its branches and tags) to a
 Subversion repository. It is designed for one-time conversions, not for
 repeated synchronizations between CVS and Subversion.
