=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4

BUILDDIR=$(CURDIR)/debian/cvs2svn

PYTHON_DEBDIR=$(BUILDDIR)/usr/lib/site-python/

build: build-stamp
build-stamp:
	dh_testdir

	# run the built in test suite, but first be sure to have
	# en_US locale for test 27
	install -d $(CURDIR)/debian/locale/
	localedef -i en_US -f ISO-8859-1 $(CURDIR)/debian/locale/en_US
	LOCPATH="$(CURDIR)/debian/locale" LC_ALL="en_US" $(CURDIR)/run-tests.py
	dh_installdirs
	install -m0644 cvs2svn $(BUILDDIR)/usr/bin/cvs2svn
	# install rcsparse modules
	install -d $(PYTHON_DEBDIR)/cvs2svn_rcsparse/
	install -m0644 cvs2svn_rcsparse/*.py $(PYTHON_DEBDIR)/cvs2svn_rcsparse/

	touch $@

clean:
	dh_testdir
	# clean up after tests
	rm -rf $(CURDIR)/tmp/
	rm -f $(CURDIR)/svntest/*.pyc $(CURDIR)/cvs2svn_rcsparse/*.pyc

	rm -rf $(CURDIR)/debian/locale/
	rm -f build-stamp
	dh_clean

binary-arch: build

binary-indep: build
	dh_testdir
	dh_installdocs -i README www/
	dh_installchangelogs -i
	dh_installman -i cvs2svn.1
	dh_python -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary binary-indep binary-arch
