=== debian/changelog ===
cvs2svn (2.4.0-2) unstable; urgency=low

  * Run tests, but don't fail on them as only the Subversion output changed
    (closes: #713075).
  * Make package section be vcs to match the override.
  * Update Standards-Version to 3.9.5 .
  * cvs2git manpage is updated (closes: #717087).

  [ Stephen Oberholtzer <stevie@qrpff.net> ]
  * Fix FTBFS due to rcs switch change (closes: #737144).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 30 Jan 2014 23:42:25 +0100

cvs2svn (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * Convert to 3.0 (quilt) source format.
  * Update to Standards-Version 3.9.3:
    - add build-arch and build-indep targets,
    - move to dh_python2 .
  * Generate manpages instead of using handwritten ones (closes: #624535).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 29 Sep 2012 15:38:36 +0200

cvs2svn (2.3.0-3) unstable; urgency=low

  * Fix some test cases to deal with non-deterministic dump output
    (closes: #665028), thanks to Salvatore Bonaccorso for the heads-up.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 25 Aug 2012 13:21:49 +0200

cvs2svn (2.3.0-2) unstable; urgency=low

  * Pass '--prefix=/usr' to 'setup.py install' needed for the upcoming Python
    2.6 migration (closes: #546557).
  * Build-Depend on python itself and not on python-dev .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 03 Dec 2009 21:20:06 +0000

cvs2svn (2.3.0-1) unstable; urgency=low

  * New upstream release, fixes FTBFS due to self-test (closes: #542981).
  * Upstream no longer distributes manpage for cvs2svn, restore it.
  * New convert binaries: cvs2bzr and cvs2git , added manpage for them;
    updated description and populated suggests with bzr and git-core .
  * Install all related example files (closes: #530489).
  * Update python compatibility level to 2.4 .
  * Update debhelper compatibility to 6 and standards-version to 3.8.3 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 26 Aug 2009 18:08:27 +0000

cvs2svn (2.2.0-1) unstable; urgency=low

  * New upstream release (closes: #511706). This release (and maybe previous
    ones as well) fixes summary of total timings (closes: #366038).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 13 Jan 2009 18:43:45 +0000

cvs2svn (2.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Apr 2008 22:25:10 +0200

cvs2svn (2.1.0-1) unstable; urgency=low

  * New upstream release (closes: #467317).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 24 Feb 2008 17:46:45 +0000

cvs2svn (2.0.1-1) unstable; urgency=low

  * New upstream release (closes: 448875).
  * Install cvs2svn-example.options (closes: #430748).
  * Fix minor packaging issues and don't encode manpage in UTF-8
    (closes: #441814).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 20 Oct 2007 17:34:19 +0200

cvs2svn (1.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 13 Oct 2006 11:27:02 +0000

cvs2svn (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Accept NMU (closes: #380763), but further fine packaging.


 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun,  3 Sep 2006 23:18:16 +0200

cvs2svn (1.3.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: 380763).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 29 Aug 2006 22:36:34 +0200

cvs2svn (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Fix minor manpage typo, thanks to Jens Seidel (closes: #338018).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon,  5 Jun 2006 08:39:40 +0200

cvs2svn (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 19 Aug 2005 07:25:12 +0200
