## cvs2svn 2.5.0

=== debian/changelog ===
cvs2svn (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop merged in patches.
  * Update other patches.
  * Update Standards-Version to 4.1.1 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 30 Nov 2017 19:30:12 +0000

cvs2svn (2.4.0-4) unstable; urgency=low

  [ Thorsten Glaser <t.glaser@tarent.de> ]
  * Patches for 'honour CVS keywords' and 'add domain to authors':
    - force-keyword-mode.patch is to allow the git export of the
      CVS repository to match a CVS export of it byte for byte,
      when CVS keywords are used,
    - cvs-domain.patch is to add @domain.com parts to git-side
      authors from CVS committers, assuming they all have their
      CVS username as eMail localpart of the same domain (a rather
      common setup when CVS is used over SSH, e.g. in modern BSD).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Nov 2016 20:28:17 +0000

cvs2svn (2.4.0-3) unstable; urgency=low

  * Update Standards-Version to 3.9.8 .

  [ Chris Lamb <lamby@debian.org> ]
  * Make the build reproducible (closes: #831066).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Jul 2016 17:40:30 +0000
