=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/cvs2svn

build: build-arch build-indep
build-stamp:
	dh_testdir
	
	# run the built in test suite
	# locale should be set to en_US for test 27, but it FTBFS sometimes,
	# so we go for a reduced testsuite.
	-./run-tests.py
	
	python setup.py build
	make man
	touch $@

build-arch: build-stamp
build-indep: build-stamp

install: install-stamp
install-stamp:
	dh_testdir
	dh_installdirs
	python setup.py install --root=$(DESTDIR) --prefix=/usr/
	install -d $(DESTDIR)/usr/share/lintian/overrides/
	install -m0644 $(CURDIR)/debian/cvs2svn.lintian $(DESTDIR)/usr/share/lintian/overrides/cvs2svn

	touch $@

clean:
	dh_testdir
	python setup.py clean

	# clean up
	rm -rf $(CURDIR)/build/ $(CURDIR)/tmp/ $(CURDIR)/cvs2svn-tmp/ \
	$(CURDIR)/svn-test-work/local_tmp/
	rm -f $(CURDIR)/svntest/*.pyc \
	$(CURDIR)/cvs2svn_rcsparse/*.pyc $(CURDIR)/cvs2svn_lib/*.pyc
	rm -rf $(CURDIR)/debian/locale/
	rm -f cvs2bzr.1 cvs2git.1 cvs2svn.1
	rm -f build-stamp install-stamp
	dh_clean

binary-arch: build

binary-indep: build install
	dh_testdir
	dh_installdocs -i README www/
	dh_installchangelogs -i
	dh_installman -i
	dh_installexamples -i
	dh_python2 -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary binary-indep binary-arch
